From f9eac9605d0309d32d6d1fab7a0a2d4e8d42798a Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horikyota.ntt@gmail.com>
Date: Tue, 6 Aug 2024 10:04:54 +0900
Subject: [PATCH] Fix nls.mk to reflect astreamer files relocation

In the recent commit f80b09bac8, astreamer files were moved to another
directory, but this change was not reflected in nls.mk. This commit
corrects that oversight.
---
 src/bin/pg_basebackup/nls.mk | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/bin/pg_basebackup/nls.mk b/src/bin/pg_basebackup/nls.mk
index 950b9797b1..f75f44dbe6 100644
--- a/src/bin/pg_basebackup/nls.mk
+++ b/src/bin/pg_basebackup/nls.mk
@@ -1,12 +1,7 @@
 # src/bin/pg_basebackup/nls.mk
 CATALOG_NAME     = pg_basebackup
 GETTEXT_FILES    = $(FRONTEND_COMMON_GETTEXT_FILES) \
-                   astreamer_file.c \
-                   astreamer_gzip.c \
                    astreamer_inject.c \
-                   astreamer_lz4.c \
-                   astreamer_tar.c \
-                   astreamer_zstd.c \
                    pg_basebackup.c \
                    pg_createsubscriber.c \
                    pg_receivewal.c \
@@ -19,6 +14,11 @@ GETTEXT_FILES    = $(FRONTEND_COMMON_GETTEXT_FILES) \
                    ../../common/fe_memutils.c \
                    ../../common/file_utils.c \
                    ../../common/restricted_token.c \
+                   ../../fe_utils/astreamer_file.c \
+                   ../../fe_utils/astreamer_gzip.c \
+                   ../../fe_utils/astreamer_lz4.c \
+                   ../../fe_utils/astreamer_tar.c \
+                   ../../fe_utils/astreamer_zstd.c \
                    ../../fe_utils/option_utils.c \
                    ../../fe_utils/recovery_gen.c \
                    ../../fe_utils/string_utils.c
-- 
2.43.5

